Runtime metrics
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
GET
/admin/metrics
const url = 'https://example.com/admin/metrics';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/admin/metricsGo runtime memory and GC statistics plus world size and uptime.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
gc_cycles
required
integer format: int32
goroutines
required
integer format: int64
last_gc
required
string
memory_alloc
required
integer format: int64
memory_heap
required
integer format: int64
memory_sys
required
integer format: int64
pause_total_ns
required
integer format: int64
player_count
required
integer format: int64
room_count
required
integer format: int64
uptime
required
string
zone_count
required
integer format: int64
Example generated
{ "gc_cycles": 1, "goroutines": 1, "last_gc": "example", "memory_alloc": 1, "memory_heap": 1, "memory_sys": 1, "pause_total_ns": 1, "player_count": 1, "room_count": 1, "uptime": "example", "zone_count": 1}default
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}